Package org.jfree.layouting.layouter.content.statics

## Class ExternalContentToken

- java.lang.Object
- - org.jfree.layouting.layouter.content.statics.StaticToken
  - - org.jfree.layouting.layouter.content.statics.ExternalContentToken

- All Implemented Interfaces:
    `ContentToken`, `GenericType`

      public class ExternalContentToken
      extends StaticToken
      implements GenericType

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExternalContentToken​(java.lang.Object data)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getRaw​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalContentToken

          public ExternalContentToken​(java.lang.Object data)

  - ### Method Detail

    - #### getRaw

          public java.lang.Object getRaw​()

      Specified by:
        `getRaw` in interface `GenericType`